#!/usr/bin/zsh

SCRIPTPATH="$( cd "$(dirname "$0")" ; pwd -P )"
NUMBER=$1

if [ ! -d "${SCRIPTPATH}/day_${NUMBER}" ]; then
  mkdir "${SCRIPTPATH}/day_${NUMBER}"
else
  echo "folder ${SCRIPTPATH}/day_${NUMBER} already exists"
  exit
fi

cd "${SCRIPTPATH}/day_${NUMBER}" || exit

touch input.txt part_1.php part_2.php

echo "DONE"

exit